﻿/*
theme ideas
röd #950520
grön #14a260
blå #1066e6
*/
html {
  font-size: 14px;
  height: 100%;
}
body {
  margin: 0px;
  margin-top: 0;
  /*font-family: "Franklin Gothic Book", "Franklin Gothic", "ITC Franklin Gothic",
    Arial, sans-serif;*/
  font-family: "Roboto", sans-serif;
  letter-spacing: 0.005em;
  background-color: #f8f9fa; /*#e2e2e2;*/
}
th {
  font-weight: 500;
}
.card {
  background: rgba(255, 255, 255, 0.97);
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.3);
  border-radius: 0.2rem;
}
.card-fill-height {
  min-height: 100%;
}
.app-container {
  height: 100vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
}
button i:not(:last-child) {
  margin-right: 0.5em;
}
a {
  color: inherit;
  text-decoration: none;
}
a:hover {
  color: inherit;
  text-decoration: none;
}
.navbar-toggler {
  border: none;
}
.btn-brand {
  background-color: rgb(186, 220, 227);
  border-color: rgb(186, 220, 227);
  color: #3c3535;
}
.btn-brand:hover {
  color: #312b2b;
  background-color: rgb(125, 208, 224);
  border-color: rgb(125, 208, 224);
}
.orange_button {
  background-color: #ff8a00;
  width: 100%;
}
.min-width-8 {
  min-width: 8rem;
  width: auto;
}
.negative-button-margin {
  margin: 0 -7px;
}
.table-scroll-wrapper {
  overflow: auto;
  max-height: 30em;
}
.control-label {
  white-space: nowrap;
}
.project-subtitle {
  margin-top: -0.2em;
  letter-spacing: 0.1em;
  font-weight: normal;
  font-size: 1rem;
  display: inline-block;
}
.custom-dark-bg {
  background-color: rgba(33, 37, 41, 0.95) !important;
}
@media (min-width: 576px) {
  .task-actions {
    min-width: 15em;
  }
}
.task-actions button {
  background-color: rgba(0, 0, 0, 0);
  border: none;
  padding: 0;
  margin: 0;
  white-space: nowrap;
}
.task-actions button i {
  color: #18bc9c;
}
.task-actions span:not(.disabled) button:hover {
  font-weight: 500;
}
.task-actions button:hover .text-disabled {
  opacity: 1;
  color: #18bc9c;
}

.big-number {
  font-size: 2rem;
}
.font-weight-400 {
  font-weight: 400;
}
.card-title {
  margin-bottom: 0.5em;
}

.card-subtitle {
  width: 100%;
  text-align: center;
  color: #666666;
  font-size: 12px;
  margin-bottom: 1em;
}

.btn-inline {
  text-transform: none;
  padding: 0;
  min-width: 0;
  letter-spacing: inherit;
  font-weight: inherit;
  font-size: inherit;
  line-height: inherit;
  color: inherit;
  vertical-align: inherit;
  border: 0;
}

.btn-inline:hover {
  opacity: 0.6;
}

/* playing with pointy boxes */

.steps-container {
  display: flex;
  width: 100%;
  text-align: center;
  overflow: hidden;
}

.steps-container.min-width .step {
  min-width: 4em;
}

.step {
  flex: 1;
  display: block;
  position: relative;
  float: left;
  /*width: calc(100% / 3 - 7px);*/
  height: 22px;
  line-height: 22px;
  margin-right: 10px;
  background-color: #bde6ee;
  border-radius: 2px;
  white-space: nowrap;
}

.step button,
.step > span {
  padding: 0 7px 0 13px;
  width: 100%;
}
.step,
.step button {
  font-size: 0.8rem;
  letter-spacing: 0.06em;
  color: rgba(0, 0, 0, 0.9);
}
.step:before {
  content: "";
  position: absolute;
  right: -9px;
  height: 0;
  width: 0;
  border-top: 11px solid transparent;
  border-bottom: 11px solid transparent;
  border-left: 10px solid #bde6ee;
  border-radius: 4px;
}
.step.inactive {
  opacity: 0.4;
}
.step.green {
  background-color: #a9e8db;
}
.step.green:before {
  border-left: 10px solid #a9e8db;
}
.step.green-hover:not(.disabled):hover {
  background-color: #18bc9c;
}
.step.green-hover:not(.disabled):hover:before {
  border-left: 10px solid #18bc9c;
}
.step.red-hover:not(.disabled):hover {
  background-color: #e74c3c;
}
.step.red-hover:not(.disabled):hover:before {
  border-left: 10px solid #e74c3c;
}
.step.yellow {
  background-color: #ebf7c3;
}
.step.yellow:before {
  border-left: 10px solid #ebf7c3;
}
.step.success {
  background-color: var(--bs-success);
  color: white;
}
.step.success:before {
  border-left: 10px solid var(--bs-success);
}

.step:after {
  content: "";
  position: absolute;
  left: -1px;
  height: 0;
  width: 0;
  border-top: 11px solid transparent;
  border-bottom: 11px solid transparent;
  border-left: 10px solid #fff;
  border-radius: 4px;
}
.step:first-child:after {
  display: none;
}
.step:last-child {
  margin-right: 0;
}
.step:last-child:before {
  display: none;
}

/* end of boxes */
.form-label {
  /* try to make the form labels not break when they sreen is smaller*/
  width: 100%;
  /* mayhaps some overflow hidden and ellipsis?*/
}
h4 {
  letter-spacing: 0.05em;
}
.activeTabs .nav-link:not(.collapsed) {
  color: #495057;
  background-color: #fff;
  border-color: #dee2e6 #dee2e6 #fff;
}

.text-disabled {
  opacity: 0.15;
}
tr:not(.completed) td .text-checked {
  color: green;
}
.navbar-dark .navbar-nav .nav-link {
  color: rgba(255, 255, 255, 0.55);
}
.navbar-dark .navbar-nav .nav-link.active {
  color: white;
}

.heading-card {
  display: flex;
}
.heading-card h4 {
  margin: 0;
}

.row {
  align-content: start;
  max-width: 100%;
  width: 100%;
}
.kpi-user-select .nav-link {
  padding: 0.5em 0.75em;
}
.kpi-user-select .nav-link.active {
  color: black;
}

.date-selector {
  font-size: 1.2rem;
  padding: 0 1em;
  display: inline-flex;
  align-items: center;
}
.date-selector a {
  padding: 0 0.4em;
}
.generic-selector {
  font-size: 1.2rem;
  padding: 0 1em;
  display: inline-flex;
  align-items: center;
}
.generic-selector a {
  padding: 0 0.4em;
}
.generic-selector button {
  padding: 0 0.4em;
}
.workload-slider-wrapper {
  max-width: 20em;
  width: 100%;
  padding: 0 2em;
}
.noUi-tooltip {
  display: none !important;
}
.noUi-active .noUi-tooltip {
  display: block !important;
}

/*LAYOUT*/

input,
select,
textarea {
  background-color: #bddcec;
}
#layout_logo {
  height: 150%;
}
#layout_top {
  background-color: #000022;
  /*background-color: #cbe7ea;*/
  width: 100%;
  float: left;
  position: fixed;
}
#layout_message {
  color: red;
  font-weight: bold;
  margin-left: 3em;
}
#layout_logo {
  float: left;
  margin: 0.1em;
  font-size: 2em;
  color: #ffffff;
}
#layout_menu {
  border: 2px solid #575d69;
  border-radius: 0.5em;
  float: left;
  margin: 0.5em;
}
.layout_menuitem {
  float: left;
  padding: 0.2em 0.5em 0.2em 0.5em;
  text-decoration: none;
  font-weight: bold;
  color: #ffffff;
}
.layout_menuitem:hover {
  background-color: #ff8a00;
  border-radius: 0.3em;
}
#layout_menuactive {
  background-color: black;
  color: #ff8a00;
  border-radius: 0.3em;
}
#layout_menuright {
  border: 2px solid #575d69;
  border-radius: 0.5em;
  float: right;
  margin: 0.5em;
}
#layout_name {
  color: #ff8a00;
}
#layout_name:hover {
  background-color: #000022;
}
#layout_content {
  width: 100%;
  flex: 1;
  overflow: auto;
  display: flex;
  padding: 0;
}
#layout_content > .row,
.content_container > .row {
  margin: 0;
}
/* COMMON */
.c_fill {
  width: 100%;
  clear: both;
}
.c_float {
  float: left;
  margin: 0.25em;
}
.c_float_clear {
  float: left;
  clear: both;
  margin: 0.25em;
}
.c_part,
.c_part_flex {
  border: 1px solid black;
  margin-bottom: 0.5em;
  /*border-top-left-radius: 0.5em;
	border-top-right-radius: 0.5em;*/
  float: left;
  clear: both;
  width: 100%;
  background-color: white;
}
.c_part_flex {
  width: auto;
}
.c_part_top {
  background-color: #000022;
  padding: 0.2em;
  padding-left: 0.4em;
  color: #ff8a00;
  font-weight: bold;
  /*border-top-left-radius: 0.4em;
	border-top-right-radius: 0.4em;*/
}
.c_part_content {
  padding: 0.25em;
  background-color: white;
}
.c_white_bkg {
  background-color: white;
}
.c_orangebutton,
.c_orangebutton_d {
  background-color: #000022;
  border: 2px solid #ff8a00;
  border-radius: 0.5em;
  margin-left: 0.1em;
  color: #ff8a00;
  font-weight: bold;
}
.c_orangebutton:hover {
  background-color: #ff8a00;
  border: 2px solid #000022;
  color: #000022;
}
.c_orangebutton_d {
  border: 2px solid #6d6d6d;
  color: #6d6d6d;
}
.c_error {
  color: red;
}

.comment_child .comment_info {
  color: gray;
}
.comment_content {
  background-color: white;
  padding: 0.1em 0.1em 0.1em;
}
#comment_area {
  height: 1.3em;
  margin: 0;
}
.reply-btn {
  padding: 0;
  line-height: 1;
  opacity: 0.7;
}
.solved {
  color: darkgray;
}

/* M-SYS */
#ms_commentcontainer {
  max-height: 20em;
  min-width: 99%;
  overflow: auto;
}
/* SETTINGS */
.s_info {
  width: 20em;
  margin: 0.5em;
}
.s_info_inp {
  width: 16em;
}

/*PROJECTS */
option.inactive {
  color: lightgray;
}
.box-list {
  display: flex;
  flex-wrap: wrap;
}
.box-list-item {
  padding: 0.25em;
}
.box-list-item i {
  opacity: 0.5;
  margin-right: 0.5em;
}
.box-list-item:hover i {
  opacity: 1;
}
.box-list-item > button {
  display: flex;
  align-items: center;
  width: 100%;
  height: 100%;
}
.box-list-item > button div {
  text-align: left;
}

#p_edit_enabled,
#p_edit_disabled {
  padding: 0.2em;
  background-color: green;
  float: left;
}
#p_edit_disabled {
  background-color: red;
}
#p_id {
  padding: 0.2em;
  float: left;
}
.p_del {
  color: #ff8a00;
  font-weight: bold;
  border: none;
  background: none;
}
.p_del:hover {
  color: red;
}
.p_part {
  float: left;
  padding: 0.2em;
  margin-top: 1em;
}
.p_completedtask {
  opacity: 0.5;
}
/*PROJECTS AND ACTIVITIES SIDEBAR */
.sidebar {
  /*refactor to layout_sidebar*/
  border-right: 1px solid black;
  height: 100%;
  width: 20em;
  overflow-y: scroll;
  background-color: #212529;
  padding: 1em;
  color: rgba(255, 255, 255, 0.55);
}
@media (max-width: 992px) {
  .sidebar:not(.modal-body) {
    max-width: 12em;
    font-size: 0.9em;
  }
}

.modal-content {
  max-height: 90vh;
}
.modal-body.sidebar {
  overflow: auto;
  width: 100%;
}

.sidebar-heading {
  color: white;
}
.sidebar-heading i {
  font-size: 0.7em;
  width: 1.5em;
  padding: 0 0.3em 0.1em 0.3em;
}
.sidebar-project a {
  overflow: hidden;
  text-overflow: ellipsis;
}
.sidebar li {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.sidebar li {
  display: flex;
  align-items: center;
}
.sidebar .star-btn {
  font-size: 0.65em;
  display: inline-block;
  padding: 0 0.3em 0.1em 0.3em;
  border: none;
  background: inherit;
  color: rgba(255, 255, 255, 0.55);
}
.sidebar .star-btn.starred {
  color: yellow;
}
.sidebar .star-btn:not(.starred) {
  opacity: 0.5;
}
.sidebar li .star-btn:hover {
  opacity: 1;
  color: yellow;
}
.sidebar li .star-btn.starred:hover {
  opacity: 0.5;
}
.sidebar ul {
  list-style: none;
  padding: 0;
}
.sidebar .inactive {
  color: #4b5053;
}
.sidebar .active {
  color: #fff;
}
#pa_sidebar_background {
  float: left;
  padding: 0.3em;
  width: 14%;
  border-right: 1px solid black;
  left: 0;
}
.content_container {
  height: 100%;
  overflow-y: scroll;
  flex: 1;
  padding: 1em;
}
#pa_search {
  width: 98%;
}
.pa_archived {
  color: red;
}
#project_table {
  font-size: 80%;
  overflow: scroll;
  height: 90.5%;
  direction: ltr;
}
.table > :not(:first-child) {
  border-top: 1px solid currentColor;
}
/* ACTIVITIES */
.task-table tr.open {
  /* background-color: rgb(125, 208, 224);*/
}
.task-table .activities-list {
  box-shadow: inset 0px -13px 7px -15px gray, inset 0px 13px 7px -15px gray;
}
#a_specification,
.limit_textarea_height {
  height: 30px;
}
.a_open,
.a_open_active {
  float: left;
  width: 0;
  height: 0;
  margin-top: 0.25em;
  margin-left: 0.25em;
  margin-right: 0.25em;
  border-left: 0.4em solid transparent;
  border-right: 0.4em solid transparent;
  border-top: 0.7em solid black;
}
.a_open_active {
  border-top: 0.8em solid #ff8a00;
}
.a_open:hover,
.a_open_active:hover {
  border-top: 0.8em solid red;
}
.a_finish,
.a_ufinish,
.a_finish_l,
.a_approve_e,
.a_approve_d,
.a_approved {
  /*border-radius: 0.3em;*/
  border: 1px solid transparent;
  width: 8.2em;
  background-color: #000022;
  font-weight: bold;
}
.a_ufinish,
.a_approved {
  color: #00a300; /*border: 1px solid #00a300;*/
}
.a_finish,
.a_approve_e {
  color: #ff8a00; /*border: 1px solid #ff8a00;*/
}
.a_finish_l,
.a_approve_d {
  color: #6d6d6d; /*border: 1px solid #6d6d6d;*/
}
.a_finish:hover,
.a_ufinish:hover,
.a_approve_e:hover {
  background-color: #ff8a00;
  color: #000022;
}

.a_activities {
  float: left;
  width: 100%;
}
.a_activities table {
  font-size: 80%;
  background-color: white;
  width: 100%;
}
.a_altrow {
  background-color: #e7e7e7;
}
#a_edited {
  background-color: green;
  color: white;
  font-weight: bold;
}
#a_editing {
  background-color: red;
  color: white;
  font-weight: bold;
}
.a_activities table tr td:last-child {
  background-color: white;
}
#a_print_button {
  float: right;
  padding-right: 3em;
  color: red;
  font-weight: bold;
}
/* a_comments DEPRECATED */
.a_comments {
  float: left;
  margin-top: 1em;
  width: 100%;
}
.a_commenttable {
  background-color: white;
  width: 100%;
}
.a_commenttable td {
  vertical-align: top;
}

#a_commentfield {
  height: 17px;
  margin: 0;
}
#a_comment_print {
  background-color: white;
}
#a_c_printbutton {
  color: red;
}
@media print {
  #a_c_printbutton {
    visibility: hidden;
  }
}
#a_comment_print header {
  font-size: 1.5em;
}
#a_ctable_print td {
  vertical-align: top;
  border-left: 1px solid black;
  padding: 0.2em;
}
.a_edit,
.a_edit_d {
  border: none;
  background: none;
  border-radius: 0.3em;
  font-weight: bold;
}

.a_edit:disabled {
  opacity: 0.5;
}

.a_edit_d,
.a_edit_d:hover {
  color: #6d6d6d;
  pointer-events: none;
  cursor: default;
}

#a_editor:first-child {
  font-weight: bold;
  font-size: 1.4em;
  padding: 0.2em;
  padding-left: 0.4em;
  margin-top: 0.5em;
  color: #ff8a00;
  clear: both;
  background-color: #000022;
  border: 1px solid black;
  border-radius: 0.5em;
  border-top-right-radius: 0.5em;
}
/* MAINTENANCE */
#m_editpg {
  margin: 0.25em;
}
#m_pgtable {
  background-color: #efefef;
}
#m_pgtable td:first-child,
#m_pgtable tr:first-child {
  background-color: #dedede;
}
.m_empty {
  background-color: #dedede;
}
.m_attention {
  background-color: #f65757;
}
.m_filled {
  background-color: white;
}
.m_empty:hover,
.m_attention:hover,
.m_filled:hover {
  background-color: #ff8a00;
}
.m_customers {
  vertical-align: top;
  background-color: #c2d6b6;
}

/*INVOICING*/
#i_logcontainer {
  min-height: 30em;
}
#i_logcontainer th {
  text-align: left;
}
.i_top {
  width: 90%;
  margin: 0.25em;
}
.i_part1 {
  width: 25%;
  float: left;
  margin: 0.25em;
}
.i_part2 {
  width: 30%;
  float: left;
  margin: 0.25em;
}
.i_part3 {
  width: 36%;
  float: left;
  margin: 0.25em;
}

.knappen {
  background-color: red;
  padding: 2em;
}
.i_log_gray {
  color: #d5d5d5;
}
.i_log_bold {
  font-weight: bold;
}
/* ADMIN */

.admin-table th,
.admin-table td {
  position: relative;
}
.admin-table thead,
.admin-table thead tr {
  border: none;
}
.admin-table thead:first-child {
  background-color: #f0f0f0;
}
.admin-table td,
.admin-table th:not(:first-child) {
  text-align: center;
}
/*.admin-table td:hover {
  background-color: rgba(0, 0, 0, 0.15);
}*/
.admin-table i {
  margin: 0 !important;
}

.admin-table {
  overflow-x: auto;
  overflow-y: hidden;
  position: sticky;
}
.admin-table tbody th {
  font-weight: 400;
}

.admin-table td:hover::before {
  background-color: #eee;
  content: "";
  height: 100%;
  left: -5000px;
  position: absolute;
  top: 0;
  width: 10000px;
  z-index: -2;
}

.admin-table td:hover::after {
  background-color: rgba(0, 0, 0, 0.1);
  content: "";
  height: 10000px;
  left: 0;
  position: absolute;
  top: -5000px;
  width: 100%;
  z-index: -1;
}

.admin-table .from-role {
  background-color: #a9e8db;
  opacity: 0.5;
}
.admin-table .from-role:hover:after,
.admin-table .from-role:hover:before {
  content: none;
}
/*

th {
  background-color:#fff;
}

*/

.check-button {
  background-color: inherit;
  border: none;
  opacity: 0.05;
}
.check-button.checked {
  opacity: 0.7;
}

.ad_red,
.ad_green {
  border-radius: 0.4em;
  border: 2px solid #000022;
  width: 2em;
  background-color: #000022;
  margin-left: 2em;
}
.ad_red {
  background-color: #000022;
}
.ad_green {
  background-color: #ff8a00;
}
/* FILEMANAGER */
#fm_container {
  border-left: 1px solid black;
  height: 30em;
  overflow-y: scroll;
}
.fm_foldercontent {
  padding-left: 1em;
}
/*.fm_close,.fm_open{
	border:none;
	font-weight:bold;
	background:none;
}*/
.fm_close:hover,
.fm_open:hover {
  background-color: #ff8a00;
}
/* HELP */
#h_faq {
  font-size: 2em;
}
#h_table td {
  padding: 0.5em;
  margin-left: 1em;
  background-color: #e4e4e4;
}
#h_changelog td {
  vertical-align: top;
}
.h_float {
  float: left;
  width: 32%;
  margin: 0.25em;
}

/* 
	HÄR BÖRJAR NJUGENS KALENDER ÄNDRINGAR
*/

.kpi_errorBox {
  border-radius: 5px;
  background: #f4e7c1;
  padding: 10px;
  min-height: 100px;
  margin-bottom: 15px;
  border-bottom: 5px solid #eed589;
}

.kpi_activityErrorBox {
}

.kpi_activity_error_list {
  border: 1px solid #b51212;
}

.kpi_activity_error_list li {
  margin: 0px !important;
}

.kpi_calendar_day_errors {
  margin-top: 10px;
  padding: 5px !important;
  padding: 0px;
  color: #b51212;
}

.kpi_calendar_day_errors li {
  margin-top: 0px !important;
  margin-left: 15px;
  padding: 5px !important;
}

.kpi_errorTitle {
  font-size: 25px;
}

.kpi_date_approved {
  background: #e7f9d4 !important;
}

.kpi_project_object {
  position: absolute;
  min-height: 20px;
  width: 400px;
  background: #ffffff;
  right: 0px;
  top: 25px;
  font-size: 13px;
  padding: 10px;
  visibility: hidden;
  box-shadow: 0px 0px 5px #000000;
  cursor: auto;
  font-weight: normal;
  z-index: 1;
}

.kpi_project {
  font-size: 16px;
}

.kpi_project_table {
  list-style-type: none;
  padding: 0px;
}

.kpi_project_table li {
  margin-top: 5px;
  padding: 5px;
}

.kpi_project_table > li:not(.kpi_project_data_total):hover {
  background: #dfd707;
  cursor: arrow;
}

.kpi_project_data_total {
  background: #bddcec;
  margin-top: -15px !important;
}

.kpi_project_data > span,
.kpi_project_data_total > span {
  display: inline-block;
  min-width: 10px;
  width: 25%;
}

.kpi_project_data_total {
}

.kpi_project_inspector {
  list-style-type: none;
  padding: 15px;
  display: none;
  position: absolute;
  background: #ffffff;
  margin-left: 80px;
  width: auto;
  min-height: 50px;
  box-shadow: 0px 0px 5px #000000;
}
.kpi_task {
  font-size: 14px;
  margin: 20px 0px 0px;
  background: #ffffff !important;
}

.kpi_task > a {
  background: #ffffff;
  width: 100%;
  height: 100%;
}

.kpi_task > a:hover {
  display: block;

  background: #dfd707;
}

.kpi_activity {
  font-size: 12px;
  padding-left: 20px !important;
  font-weight: normal;
  margin-bottom: 5px;
}

.kpi_activity_header {
  background: #bddcec;
  font-weight: bold;
}

.kpi_activity_approved {
  background: #e7f9d4;
}

.kpi_activity span {
  display: inline-block;
  min-width: 90px;
  text-align: left;
  padding: 0px 20px 0px 0px;
}

.kpi_activity span:nth-child(2) {
  width: 105px;
}

.kpi_activity_title {
  display: block !important;
  margin-bottom: 5px;
  font-weight: bold;
}

#kpi_calendar_employees {
  background: #ffffff;
  padding: 0px 0px;
  vertical-align: middle;
  margin-bottom: 10px;
}

#kpi_calendar_employees #employee_list_title {
  padding: 10px;
  display: inline-block;
  background: #bddcec;
  font-weight: bold;
  height: 20px;
}

#kpi_calendar_employees a {
  display: inline-block;
  padding: 10px 15px;
  height: 20px;
}

#kpi_calendar_employees a:not(:last-child) {
  border-right: 1px solid #e8e8e8;
}

#kpi_calendar_employees a.current_calendar_profile {
  background: #e8e8e8;
}

#kpi_calendar_employees a:hover {
  background: #bddcec;
  border-right: 1px solid #bddcec;
}

#kpi_calendar {
  background-color: white;
}

#kpi_calendar tr td {
  width: 200px;
  height: 100px;
  font-size: 13px;
}

#kpi_calendar .weektotal_box {
  text-align: center;
  vertical-align: middle;
  width: 100px !important;
}

#kpi_calendar .weekapprove_box {
  text-align: center;
  vertical-align: middle;
  background: #bddcec;
  width: 100px !important;
}

#kpi_calendar .weekapprove_box a {
  font-weight: bold !important;
}

#kpi_calendar .weekapprove_box a:hover {
  text-decoration: underline;
}

.kpi_calendar_approve_activity {
  color: #49ade1;
}

.kpi_calendar_approve_activity:hover {
  color: #a0a0a0;
}

#kpi_calendar_bottom_row {
}

#kpi_calendar_bottom_row td {
  height: 0px !important;
  text-align: center;
  font-weight: bold;
}

/*
	#kpi_calendar td.weektotal_box {
		width: 50px;
	} */

#kpi_calendar td {
  background-color: #f6f6f6;
  vertical-align: top;
}
#kpi_calendar tr:first-child {
  background-color: #dedede;
}
#kpi_calendar td.weektotal_box {
  background-color: #bddcec;
}

/* 
	HÄR SLUTAR NJUGENS KALENDER ÄNDRINGAR
*/
/* MONITORING*/
#mo_calendar {
  background-color: white;
  font-weight: bold;
}
.mo_calendar_aleft {
  float: left;
  width: 0;
  height: 0;
  margin-top: 0.2em;
  margin-left: 0.25em;
  margin-right: 0.25em;
  border-top: 0.4em solid transparent;
  border-bottom: 0.4em solid transparent;
  border-right: 0.7em solid black;
}
.mo_calendar_aright {
  float: left;
  width: 0;
  height: 0;
  margin-top: 0.2em;
  margin-left: 0.25em;
  margin-right: 0.25em;
  border-top: 0.4em solid transparent;
  border-bottom: 0.4em solid transparent;
  border-left: 0.7em solid black;
}
.mo_calendar_aright:hover {
  border-left: 0.7em solid #ff8a00;
}
.mo_calendar_aleft:hover {
  border-right: 0.7em solid #ff8a00;
}
#mo_calendar td {
  padding: 0.5em;
  background-color: #f6f6f6;
  vertical-align: top;
}
#mo_calendar tr:first-child {
  background-color: #dedede;
}
#mo_calendar td:last-child,
#mo_calendar td:nth-last-child(2) {
  background-color: #bddcec;
}
.mo_daynr {
  color: #6a6a6a;
  font-size: 0.75em;
}
.mo_sum {
  background-color: #fbfbfb;
}
.mo_activities table {
  font-size: 80%;
  background-color: white;
  width: 100%;
}
.mo_activities a {
  border: none;
  background: none;
  border-radius: 0.3em;
  padding: 0em;
  font-weight: bold;
}
.mo_activities a:hover {
  background-color: #ff8a00;
}
.mo_link {
  font-weight: normal !important;
  text-decoration: underline;
}
.mo_link:hover {
  background: none !important;
  background-color: none;
}
.mo_altrow {
  background-color: #e7e7e7;
}
.mo_redrow {
  background-color: #f65757;
}
#mo_right {
  width: 72%;
}
#mo_apptable {
  width: 100%;
}
#mo_activetasks {
  width: 98%;
}

/*managementsystem */
#ma_textarea {
  width: 20em;
  height: 5em;
}
#ma_table {
  border-collapse: collapse;
  text-align: left;
  width: 100%;

  background: #fff;
  overflow: hidden;
  border: 1px solid #575d69;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
}

.ma_number {
  width: 3em;
}
#ma_table table {
  border-collapse: collapse;
  text-align: left;
  width: 100%;
}
#ma_table {
  background: #fff;
  overflow: hidden;
  border: 1px solid #575d69;
  -webkit-border-radius: 0.2em;
  -moz-border-radius: 0.2em;
  border-radius: 0.2em;
}
#ma_table table th {
  padding: 0.5em 1em;
}
#ma_table table thead th {
  background: -webkit-gradient(
    linear,
    left top,
    left bottom,
    color-stop(0.05, #000022),
    color-stop(1, #000022)
  );
  background: -moz-linear-gradient(center top, #000022 5%, #000022 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#000022', endColorstr='#000022');
  background-color: #000022;
  color: #ff8a00;
  font-weight: bold;
  border-left: 1px solid #575d69;
}
#ma_table table tbody td:first-child {
  font-weight: bold;
}
#ma_table table tbody td {
  border-left: 1px solid #e1eef4;
  font-weight: normal;
  padding: 0.5em 1em;
}
#ma_table table tbody .ma_altrow td {
  background: #e7e7e7;
}
.ma_pen {
  opacity: 0.4;
  filter: alpha(opacity=40);
  float: right;
  margin-right: 1em;
}
.ma_pen:hover {
  opacity: 1;
  filter: alpha(opacity=100);
}
#ma_sell {
  width: 100%;
}

.ma_filelink {
  text-decoration: underline;
}
.ma_filelink:hover {
  color: #ff8a00;
}
.ma_conf {
  color: #ff2b2b;
}
/* DEV */
.d_part {
  padding: 1em;
  border-bottom: 1px solid black;
}
.d_part td {
  text-align: right;
}
.d_part th {
  text-align: right;
}
/*LOGIN*/

#login_content {
  width: 30em;
  margin: auto;
  margin-top: 7em;
}
.login-title {
  text-align: center;
}

/*#login_content input{
	background-color: #ffffff;
    border: 1px solid #ff8a00;
    margin-top: 1em;
    padding: 0.5em;
    width: 95%;
}*/
#login_head {
  font-size: 1.5em;
  font-weight: bold;
}
/*#login_content  input[type="submit"] {
	background-color: #ff8a00;	
	width:100%;
}
.login_line{
	height: 0.4em;
	background-color: #000022;
	margin-top: 0.2em;
	margin-bottom: 0.2em;
}*/

.kalas {
  background: linear-gradient(
    46deg,
    #ff0000,
    #f9ff00,
    #02ff00,
    #00fdff,
    #003eff,
    #e700ff,
    #ff0000
  );
  background-size: 1400% 1400%;

  -webkit-animation: KalasAnimation 7s ease infinite;
  -moz-animation: KalasAnimation 7s ease infinite;
  animation: KalasAnimation 7s ease infinite;
}
@-webkit-keyframes KalasAnimation {
  0% {
    background-position: 0% 99%;
  }
  50% {
    background-position: 100% 2%;
  }
  100% {
    background-position: 0% 99%;
  }
}
@-moz-keyframes KalasAnimation {
  0% {
    background-position: 0% 99%;
  }
  50% {
    background-position: 100% 2%;
  }
  100% {
    background-position: 0% 99%;
  }
}
@keyframes KalasAnimation {
  0% {
    background-position: 0% 99%;
  }
  50% {
    background-position: 100% 2%;
  }
  100% {
    background-position: 0% 99%;
  }
}

/* BOOTSTRAP related OVERRIDES/FIXES */
.navbar {
  margin-bottom: 0;
}
#m_pgtable td {
  padding: 2px;
  padding-left: 4px;
}
.leftpadding_0 {
  padding-left: 0;
}
.rightpadding_0 {
  padding-right: 0;
}

/* bootstrap fixes in kpi */
#employee_list_title {
  background-color: white !important;
}
.tabs-small a {
  margin: 0.1em !important;
  padding: 0.1em !important;
}

.panel-body {
  overflow: hidden;
}

.nowrap {
  white-space: nowrap;
}

.nowrap-children > * {
  white-space: nowrap;
}

.text-align-center {
  text-align: center;
}

.text-align-right {
  text-align: center;
}

.employee-workvalue-table {
  width: 100%;
  height: 1px; /* stupid fix for cell height*/
}
.employee-workvalue-table tr {
  border-bottom: 1px solid lightgray;
}
.employee-workvalue-table td {
  height: 100%;
}
.employee-workvalue-table .td-container {
  height: 100%;
  display: flex;
  flex-direction: column;
  padding: 0.75em 0.2em 0 0.2em;
  border-bottom: 2px solid lightgray;
}

.employee-workvalue-table .td-top {
  flex: 1;
  display: flex;
  align-items: flex-start;
  vertical-align: middle;
}

.employee-workvalue-table .td-bar {
  background-color: #19d9e0;
}

.employee-workvalue-table .emp-th {
  padding: 0.75em 0.5em 0 0;
}

.employee-workvalue-table .total-bar {
  background-color: var(--bs-teal);
  overflow: visible;
  white-space: nowrap;
  padding-left: 0.5em;
  font-weight: 400;
  border-bottom: 1px solid white;
}

.employee-workvalue-table thead th:not(:first-child) {
  text-align: center;
}
.employee-workvalue-table thead th:first-child {
  font-style: italic;
}

.santahat {
  position: absolute;
  left: 9px;
  top: 5px;
  width: 9px;
  opacity: 0.8;
}

@media (max-width: 768px) {
  .santahat {
    left: 2px;
  }
}

.form-check:not(:disabled) * {
  cursor: pointer;
}

/* invoicable-projects  */

.invoicable-projects {
  border-bottom: 5px solid #bde6ee;
  table-layout: auto;
}

.invoicable-projects td {
  white-space: nowrap;
}

.invoicable-projects .comments {
  white-space: normal;
}

.invoicable-projects td:last-child {
  width: 100%;
}

.invoicable-projects .customer {
  background-color: #bde6ee;
  padding: 0.3em 0.75em;
  margin: 0.3em 0 0;
}
.invoicable-projects .project,
.invoicable-projects .task {
  align-items: center;
  padding: 0.3em;
}
.invoicable-projects .project-name {
  letter-spacing: 0.07rem;
  font-weight: 500;
  font-size: 0.96rem;
  opacity: 0.8;
  cursor: pointer;
}
.invoicable-projects .project .steps-container {
  width: 9em;
}
.invoicable-projects .project .step {
  font-size: 0.95rem;
  height: 14px;
  line-height: 14px;
  margin-right: 6px;
}
.invoicable-projects .project .step:before {
  right: -5px;
  border-top-width: 7px;
  border-bottom-width: 7px;
  border-left-width: 6px;
}
.invoicable-projects .project .step::after {
  border-top-width: 7px;
  border-bottom-width: 7px;
  border-left-width: 6px;
}
.invoicable-projects .activities-link {
  font-size: 0.96rem;
  opacity: 0.8;
  cursor: pointer;
}
.invoicable-projects .project-name:hover,
.invoicable-projects .activities-link:hover {
  opacity: 1;
}
.invoicable-projects .form-check {
  display: inline-block;
  width: 1.5em;
  margin: 0;
}
.invoicable-projects .fixed-width-cell {
  width: 1.5em;
}
.invoicable-projects .task .form-check {
  opacity: 0.5;
}
.invoicable-projects .project .btn-inline {
  width: 1.5em;
  height: 1.5em;
  display: flex;
  align-items: center;
  align-content: center;
  margin: 0 0.3em;
}
.invoicable-projects .task-status {
  border: none;
  border-left: 5px solid rgba(0, 0, 0, 0);
}
.invoicable-projects .task-status.blue {
  border-color: #bde6ee;
}
.invoicable-projects .task-status.green {
  border-color: #a9e8db;
}
.invoicable-projects .task-status.yellow {
  border-color: #ebf7c3;
}
.invoicable-projects .task-status.blue div,
.invoicable-projects .task-status.yellow div {
  opacity: 0.6;
}

.fake-table {
  display: table;
}

.fake-table > * {
  display: table-row;
}
.fake-table > * > * {
  display: table-cell;
}

.hours-input-field {
  padding: 0 0.5em;
}

#day-activities-list {
  box-shadow: inset 0px -13px 7px -15px gray, inset 0px 13px 7px -15px gray;
  margin-top: 0.5em;
}

.clickable {
  cursor: pointer;
}

.notification-circle {
  position: relative;
}

.notification-circle:after {
  content: "";
  position: absolute;
  right: -0.3em;
  top: 35%;
  font-size: 0.7em;
  background-color: #ff8a00;
  color: white;
  border-radius: 50%;
  padding: 0.35em;
  animation: fade-in 1s ease-in-out;
}

@keyframes fade-in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.nav-notification:not(:hover) {
  color: #f7fb61 !important;
}

.max-overtime-table td:not(:first-child),
.max-overtime-table th:not(:first-child) {
  text-align: right;
}

table.cells-right td:not(:first-child) {
  text-align: right;
}

table.cells-right th:not(:first-child) {
  text-align: right;
}

table.striped-border tr:nth-child(2n + 1) td,
table.striped-border tr:nth-child(2n + 1) th {
  border-bottom: none;
}

.list-group-item.active {
  background-color: #bddcec;
  color: black;
  border-color: rgba(0, 0, 0, 0.125);
}

.starred-project {
  position: relative; /* Ensure the container is positioned relative */
}
